Subject: Re: [PATCH v3] intel: igb: igb_ethtool.c: Convert kmap() to kmap_local_page()

From: "Fabio M. De Francesco" <[email-masked]>
Date: Sat, 16 Apr 2022 17:52:20 +0200

On sabato 16 aprile 2022 16:09:58 CEST Julia Lawall wrote:
> 
> On Sat, 16 Apr 2022, Alaa Mohamed wrote:
> 
> >
> > On Ù¡Ù¦/Ù¤/Ù¢Ù Ù¢Ù¢ Ù¡Ù£:Ù£Ù¡, Julia Lawall wrote:
> > >
> > > On Sat, 16 Apr 2022, Alaa Mohamed wrote:
> > >
> > > > Convert kmap() to kmap_local_page()
> > > >
> > > > With kmap_local_page(), the mapping is per thread, CPU local and 
not
> > > > globally visible.
> > > It's not clearer.
> > I mean this " fix kunmap_local path value to take address of the mapped 
page"
> > be more clearer
> > > This is a general statement about the function.  You
> > > need to explain why it is appropriate to use it here.  Unless it is 
the
> > > case that all calls to kmap should be converted to call 
kmap_local_page.
> > It's required to convert all calls kmap to kmap_local_page. So, I don't 
what
> > should the commit message be?
> 
> If all calls should be changed then you can also say that.

If all calls should be changed with no regards to the surrounding contexts 
and special situations, we can just make an automated s/kmap()/
kmap_local_page()/ or something else similar :)

Thanks,

Fabio M. De Francesco

> 
> I thought that a previous commit on the outreachy list made some 
arguments
> about how the affacted value was just allocated and thus could not yet be
> shared.
> 
> julia